Upgrading ActiveState Perl

OnCommand Workflow Automation (WFA) works with the Enterprise edition of ActiveState Perl on Windows. You can upgrade to a newer version of ActiveState Perl to get fixes for security vulnerabilities on the Windows server.

Before you begin

You must have Windows admin privileges on the WFA server. ActiveState Perl does not support "in-place" upgrades.

About this task

WFA 5.1 uses the Enterprise edition of ActiveState Perl.

You can upgrade from ActiveState Perl 5.26.3 to later builds. You cannot upgrade to a major release of ActiveState Perl.

Steps

  1. Log in as the admin user on the WFA host machine.
  2. Download the latest version of 64-bit ActiveState Enterprise Edition 5.26.3 to the target system.
  3. Use the Windows Services console to stop the following WFA services:
    • WFA Database or MYSQL57
    • WFA Server
  4. Uninstall the current version of ActiveState Perl on the target system from the control panel.
  5. Perform a backup of the C:\Perl64\site\lib folder.
  6. Install the new ActiveState Enterprise Edition on the target machine.
  7. Restore the \site\lib folder of ActiveState Enterprise Edition whose backup you created in step 5.
  8. Restart the WFA services by using the Windows Services console.